Name:          tinyxml2
Version:       11.0.0
Release:       1mamba
Summary:       A simple, small, efficient, C++ XML parser that can be easily integrated into other programs
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/leethomason/tinyxml2
## GITSOURCE https://github.com/leethomason/tinyxml2.git 6.0.0
Source:        https://github.com/leethomason/tinyxml2.git/%{version}/tinyxml2-%{version}.tar.bz2
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
TinyXML2 is a simple, small, efficient, C++ XML parser that can be easily integrated into other programs.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A simple, small, efficient, C++ XML parser that can be easily integrated into other programs

%description -n lib%{name}
TinyXML2 is a simple, small, efficient, C++ XML parser that can be easily integrated into other programs.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q
%ifarch x86_64
sed -i "s|lib/cmake|lib64/cmake|" CMakeLists.txt
%endif

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libtinyxml2.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/tinyxml2.h
%dir %{_libdir}/cmake/tinyxml2
%{_libdir}/cmake/tinyxml2/tinyxml2*.cmake
%{_libdir}/libtinyxml2.so
%{_libdir}/pkgconfig/tinyxml2.pc

%changelog
* Mon Mar 17 2025 Automatic Build System <autodist@openmamba.org> 11.0.0-1mamba
- automatic version update by autodist

* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 10.1.0-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 10.0.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 8.0.0-1mamba
- automatic version update by autodist

* Mon Aug 19 2019 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Mon Nov 19 2018 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Sat Nov 17 2018 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Sat Apr 21 2018 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- package created using the webbuild interface
